unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Psock, NMpop3,registry, NMsmtp;

type
  TForm5 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Edit4: TEdit;
    Label5: TLabel;
    GroupBox3: TGroupBox;
    c1: TComboBox;
    Edit5: TEdit;
    Button1: TButton;
    Button2: TButton;
    mail: TNMPOP3;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure mailConnect(Sender: TObject);
    procedure mailRetrieveEnd(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;
  user,pass,ms,phone,lid:string;
  freq,suf:integer;
implementation

uses Unit2, Unit1;

{$R *.DFM}

procedure TForm5.Button1Click(Sender: TObject);
var
        t:Tregistry;
begin
                user:=edit1.text;
                pass:=edit2.text;
                ms:=edit3.Text;
                try
                        freq:=strtoint(edit4.text);
                except
                        application.messagebox('Enter  positive Frequency','Mail SMS',0); 
                end;
                phone:=edit5.text;
                suf:=c1.itemindex;
                T:=Tregistry.create;
                T.RootKey:=HKEY_LOCAL_MACHINE;
                T.OpenKey('SOFTWARE\Sms\mail',true);
                T.writeString('user',user);
                T.writeString('pass',pass);
                T.writeString('ms',ms);
                T.writeInteger('freq',freq);
                T.writeInteger('suf',suf);
                T.writeString('phone',phone);
                T.closekey;
                if((user='')or(pass='')or(ms='')or(phone=''))then
                begin
                        form5.show;
                        form1.ch.enabled:=false;
                        timer1.enabled:=false;
                end
                else
                begin
                        form1.ch.enabled:=true;
                        timer1.enabled:=true;
                        timer1.interval:=1000*60*freq;
                end;
                close;
end;

procedure TForm5.Button2Click(Sender: TObject);
begin
                if((user='')or(pass='')or(ms='')or(phone=''))then
                begin
                        form5.show;
                        form1.ch.enabled:=false;
                        timer1.enabled:=false;
                end
                else
                begin
                        form1.ch.enabled:=true;
                        timer1.enabled:=true;
                        timer1.interval:=1000*60*freq;
                end;
                close;
end;

procedure TForm5.FormCreate(Sender: TObject);
var
        t:tregistry;
begin
                T:=Tregistry.create;
                T.RootKey:=HKEY_LOCAL_MACHINE;
                T.OpenKey('SOFTWARE\Sms\mail',true);
                user:=T.ReadString('user');
                pass:=T.ReadString('pass');
                lid:=T.ReadString('lid');
                ms:=T.ReadString('ms');
                try
                        freq:=T.ReadInteger('freq');
                except
                        freq:=30;
                end;
                try
                        suf:=T.ReadInteger('suf');
                except
                        suf:=0;
                end;
                phone:=T.ReadString('phone');
                T.closekey;
                if((user='')or(pass='')or(ms='')or(phone=''))then
                begin
                        form5.show;
                        form1.ch.enabled:=false;
                        timer1.enabled:=false;
                end
                else
                begin
                        form1.ch.enabled:=true;
                        timer1.enabled:=true;
                        timer1.interval:=1000*60*freq;
                end;
end;

procedure TForm5.FormShow(Sender: TObject);
begin
        edit1.text:=user;
        edit2.text:=pass;
        edit3.Text:=ms;
        edit4.text:=inttostr(freq);
        edit5.text:=phone;
        c1.itemindex:=suf;
end;

procedure TForm5.Timer1Timer(Sender: TObject);
begin
        mail.Host:=ms;
        mail.UserID:=user;
        mail.Password:=pass;
        try
         form1.ch.Enabled:=false;
         mail.Connect;
        except
         form1.ch.Enabled:=true;
        end;
end;

procedure TForm5.mailConnect(Sender: TObject);
var
        t:tregistry;
begin
        if(mail.MailCount<=0)then
        begin
                timer1.enabled:=true;
                form1.ch.Enabled:=true;
                mail.disconnect;
                exit;
        end
        else
        begin
                t:=tregistry.create;
                T.RootKey:=HKEY_LOCAL_MACHINE;
                T.OpenKey('SOFTWARE\Sms\mail',true);
                lid:=T.readstring('lid');
                T.closekey;
                form1.ch.enabled:=false;
                timer1.enabled:=false;
                form5.tag:=1;
                mail.DeleteOnRead:=false;
                mail.GetMailMessage(form5.tag);
        end;
end;

procedure TForm5.mailRetrieveEnd(Sender: TObject);
var
        s:string;
        t:tregistry;
begin
        if(strcomp(pchar(mail.mailmessage.messageid),pchar(lid))<>0)then
        begin
                if(form5.tag=1)then
                begin
                        t:=tregistry.create;
                        T.RootKey:=HKEY_LOCAL_MACHINE;
                        T.OpenKey('SOFTWARE\Sms\mail',true);
                        T.writestring('lid',mail.mailmessage.messageid);
                        T.closekey;
                end;
                s:=mail.MailMessage.Subject+'-'+mail.MailMessage.From+' '+mail.MailMessage.body.text;
                setlength(s,105);
                form1.memo1.text:=s;
                form1.c1.ItemIndex:=suf;
                form1.edit3.text:=phone;
                form1.button1.Click;
                form1.refresh;
        end
        else
        begin
                timer1.enabled:=true;
                form1.ch.enabled:=true;
                mail.disconnect;
        end;
end;

end.
